<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:clipChildren="false"
    android:clipToPadding="false"
    android:paddingStart="20dp"
    android:paddingTop="10dp"
    android:paddingEnd="20dp"
    android:paddingBottom="16dp">

    <include
        android:id="@+id/tipsContainer"
        layout="@layout/piece_special_download_tips_large"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:clipChildren="false"
        android:clipToPadding="false"
        app:layout_constraintEnd_toStartOf="@id/rightContainer"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintHorizontal_weight="0.6"
        app:layout_constraintStart_toStartOf="parent" />

    <LinearLayout
        android:id="@+id/rightContainer"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="-8dp"
        android:clipChildren="false"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="@id/tipsContainer"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_weight="0.40"
        app:layout_constraintStart_toEndOf="@id/tipsContainer"
        app:layout_constraintTop_toTopOf="@id/tipsContainer">

        <com.gh.gamecenter.feature.view.TrapezoidDownloadButton
            android:id="@+id/downloadBtn"
            android:layout_width="wrap_content"
            android:layout_height="68dp"
            android:layout_marginStart="8dp"
            android:layout_marginBottom="2dp" />

        <include
            android:id="@+id/rightBottomTrapezoidContainer"
            layout="@layout/piece_special_trapezoid_right"
            android:layout_width="match_parent"
            android:layout_height="@dimen/special_download_trapezoid_small_height"
            android:layout_marginTop="6dp" />

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>